Draft Klonen

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Clone and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Clone.svg Draft Klonen

Menüeintrag
Entwurf → Klon
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Verschieben, Skalieren


Beschreibung

Dieses Werkzeug erstellt verbundene Kopien einer ausgewählten Form. Das bedeutet, wenn sich das Originalobjekt ändert, ändert sich auch alle Klone. Trotzdem behält aber jeder Klon seine eigene Position, Rotation und Größe als auch seine Ansichteigenschaften wie Farbe, Linienstärke und Transparenz.

Dieses Werkzeug kann mit 2D-Formen verwendet werden, die mit dem Draft-Arbeitsbereich erstellt wurden, kann aber auch mit vielen Arten von 3D-Objekten benutzt werden, wie die mit den Part-, PartDesign oder Arch-Arbeitsbereichen erzeugten.

Um einfache Kopien zu erzeugen, die vollständig unabhängig vom ursprünglichen Objekt sind, benutze Draft Verschieben, Drehen und Draft Skalieren. Um Kopien in einer rechtwinkligen Anordung zu positionieren, verwende Draft Anordnung; um Kopien entlang eines Pfades anzuordnen, verwende Draft PfadDatenfeld; um Kopien an bestimmten Punkte anzulegen, verwende Draft PointArray.

Draft Clone example.jpg

Klon neben dem urspünglichen Objekt


Anwendung

  1. Wähle ein zu klonendes Objekt.
  2. Drücke den Draft Clone.svg Klonen-Button

Abhängig von den Optionen erstellt das Draft Scale.svg Draft Skalieren-Werkzeug auch einen Klon in angegebener Größe.

Klone von 2D-Objekten, die mit den Draft- oder Sketcher-Arbeitsbereichen erstellt wurden, sind ebenfalls 2D-Objekt und können deshalb als solche für den PartDesign-Arbeitsbereich verwendet werden.

Alle Arch-Arbeitsbereich-Objekte haben die Möglichkeit, sich durch Nutzung ihrer Daten-EigenschaftCloneOf-Eigenschaft wie Klone zu verhalten. Wenn Du das Draft-Clone-Werkzeug an einem ausgewählten Arch-Objekt benutzt, wirst Du solch einen Arch-Klon anstatt eines normalen Draft-Klons erzeugen.

Einschränkungen

Momentan können Sketcher Skizzen nicht auf Flächen eines Klons abgebildet werden.

Optionen

Es gibt keine Optionen für dieses Werkzeug. Entweder funktioniert es mit den ausgewählten Objekten oder nicht.

Eigenschaften

  • Daten-EigenschaftObjects: Gibt eine Liste von Basisobjekten an, die geklont werden.
  • Daten-EigenschaftScale: Gibt den Skalierungsfaktor des Klons an, in jeder der X-, Y- und Z-Richtungen.
  • Daten-EigenschaftFuse: Falls auf True gesetzt und Daten-EigenschaftObjects viele Objekte enthält, die sich einander schneiden, dann wird sie der resultierende Klon miteinander verschmelzen (fuse), oder einen Verbund aus ihnen erstellen introduced in version 0.17

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

Das Klonen-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Erstellt ein cloned_object aus obj, was ein einzelnes oder eine Liste von Objekten sein kann.
  • Falls gegeben, ist delta ein FreeCAD.Vector, der den neuen Klon von der ursprünglichen Position des Basisobjekts verschiebt.
  • Falls forcedraft auf TRUE gesetzt ist, wird das resultierende Objekt ein Draft-Klon sein und kein Arch-Klon, selbst wenn obj ein Arch-Objekt ist.

Die Verschmelzung der Objekte, die Teil des Klons sind, kann durch setzen des Fuse-Attributs auf TRUE erreicht werden.

Beispiel:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()